package com.chinacreator.video.util;

import com.alibaba.fastjson.JSONObject;
import org.apache.commons.codec.digest.DigestUtils;

import java.util.*;

/**
 * 将参数按key的英文字符排序组合再用SHA1加密
 *
 * @Author shuiying.ou
 * @Date 2023-03-15
 */
public class SignatureUtil {

    public static String signatureStr(JSONObject maps, String key) {
        String signStr = sortKeys(maps);
        return DigestUtils.sha1Hex(signStr + key);
    }

    private static String sortKeys(Map<String, Object> maps) {
        String signStr = "";
        Collection<String> keyset = maps.keySet();
        List list = new ArrayList<String>(keyset);
        Collections.sort(list);
        for (int i = 0; i < list.size(); i++) {
            signStr += list.get(i) + "=" + maps.get(list.get(i));
        }

        return signStr;
    }


}
